Skip to main content
Version: 5.3

Retrieving Information about Available Binaries

GET /binaries

Get the list of available binaries on Smart Beat Manager:

curl -k -XGET https://<SBM_HOST>:7769/binaries

Header Input Parameters

NameTypeDescription
AuthorizationstringBase64 login and password for Smart Beat Manager authorization

Output Parameters

Array of JSON objects.

Each object contains the following parameters:

NameTypeDescription
binarystringBinary name
groupsstring arrayArray of groups where this binary is present
connectedclientsintNumber of connected Smart Beat instances

Supported Errors

StatusError contentError description
400Binaries not foundBinary list is empty
500<response write error>Internal server error

Examples

Example output parameters:

[
{
"binary": "filebeat-oss-7.10.2-linux-x86_64.tar.gz",
"groups": [
"nginx_test",
"alert_test"
],
"connectedclients": 2
},
{
"binary": "filebeat-oss-7.10.2-windows-x86_64.zip",
"groups": [
"scriptbeat_exchange"
],
"connectedclients": 1
},
{
"binary": "metricbeat-oss-7.10.2-windows-x86_64.zip",
"groups": null,
"connectedclients": 0
}
]

GET /binaries/<binary name>

Get information about a specific binary:

curl -k -XGET https://<SBM_HOST>:7769/binary/<binary name>

Header Input Parameters

NameTypeDescription
AuthorizationstringBase64 login and password for Smart Beat Manager authorization

Output Parameters

A JSON object with the following fields:

NameTypeDescription
binarystringBinary name
groupsstring arrayArray of groups where this binary is present
connectedclientsobject arrayConnected Smart Beat instances

Objects in the connectedclients array have the following structure:

NameTypeDescription
ipstringSmart Beat IP address
dnsstringSmart Beat DNS
hostnamestringSmart Beat hostname
systemstringSmart Beat operating system
guidstringUnique Smart Beat identifier
timestampstringSmart Beat last connection time

Supported Errors

StatusError contentError description
400Binary not foundBinary with this name was not found
500<response write error>Internal server error

Examples

Example output parameters:

{
"binary": "scriptbeat-1.0.0-windows-x86_64.zip",
"groups": [
"scriptbeat_exchange",
"scriptbeat_active_directory",
"scriptbeat_active_directory_second",
"msca"
],
"connectedclients": [
{
"ip": "172.16.0.1",
"hostname": "AD-test",
"dns": "test.local.",
"guid": "84fb9a1b-620a-81af-bea091af9b73",
"system": "windows",
"timestamp": "2023-01-01 00:00:44"
},
{
"ip": "172.1.10.1",
"hostname": "MSCA-test",
"dns": "test.local.",
"guid": "934c96f5-f58a-8779-10b2187ad416",
"system": "windows",
"timestamp": "2023-01-01 00:00:46"
}
]
}